.hamburger {
    display: none;

    @media (max-width: 992px) {
        display: flex;
        flex: 1;
        justify-content: flex-end;
        margin-top: -2rem;
    }

    .ham {
        user-select: none;
        border: 1px solid $black;
        border-radius: 50%;
        transition: border-radius 300ms ease-in-out;
        width: 4.8rem;
    }

    &-active {
        .hamRotate {
            transform: rotate(45deg);
        }

        .top {
            stroke-dashoffset: -98px;
        }

        .bottom {
            stroke-dashoffset: -138px;
        }
    }

    .line {
        fill: none;
        transition: stroke-dasharray 400ms, stroke-dashoffset 400ms;
        stroke: $black;
        stroke-width: 5.5;
        stroke-linecap: round;
    }

    .ham1 {
        .top {
            stroke-dasharray: 40 139;
        }

        .bottom {
            stroke-dasharray: 40 180;
        }
    }

}

.navbar-white {
    .hamburger {
        .ham {
            border: 1px solid $white;
        }

        .line {
            stroke: $white;
        }
    }
}